
QGIS Application - Bug report #8010

Shapefile open fail (contain non ascii character in path name)

2013-06-06 05:03 AM - yoichi Kayama

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16858

Description

Add vector layer ,using shapefile, which path has non ascii character (Japanese SJIS) open fail.

in log  OGR  Data source is invalid ()

When rename that file and path name using ascii characters, I was able to open the file successfully.

Old version(1.8, 1.7, 1.6...) We could open shapefiles which pathe name as Japanese characters.

I found this problem at OSGeo4W binary QGIS commit:5e29777

Associated revisions

Revision c9eb4f22 - 2013-07-14 04:31 AM - Minoru Akagi

OSGeo4W: make sure that GDAL_FILENAME_IS_UTF8 is YES (fix #8010)

Revision 9b4f4619 - 2013-07-14 04:47 AM - Nathan Woodrow

Merge pull request #728 from minorua/osgeo4w_gdalfilename

OSGeo4W: make sure that GDAL_FILENAME_IS_UTF8 is YES (fix #8010)

History

#1 - 2013-06-06 08:43 AM - Filipe Dias

- Priority changed from High to Severe/Regression

Since this used to work in previous versions I'm updating the status to "Blocker".

#2 - 2013-06-06 06:02 PM - Minoru Akagi

No problem here with the same revision (5e29777, OSGeo4W qgis-dev 1.9.0-299).

Are you using GDAL 1.9? Can you confirm that GDAL_FILENAME_IS_UTF8=NO is NOT set to environment variable?

#3 - 2013-06-06 09:25 PM - yoichi Kayama
- Status changed from Open to Closed

Thank you for advice.

My binary is linked with GDAL1.92

and GDAL_FILENAME_IS_UTF8=NO  is set.

Then I set null to GDAL_FILENAME_IS_UTF8   then open the shapefile with path name include Japanese.

I could open the file  successfully.

Minoru Akagi wrote:

No problem here with the same revision (5e29777, OSGeo4W qgis-dev 1.9.0-299).

Are you using GDAL 1.9? Can you confirm that GDAL_FILENAME_IS_UTF8=NO is NOT set to environment variable?

#4 - 2013-07-13 08:08 PM - Nathan Woodrow

- Resolution set to fixed
